Core - Bug # 58053

Bug # 51768 (Resolved): IRRE - drag and drop sorting of items not possible in Internet Explorer

Status: Resolved Priority: Should have

Author: Jigal van Hemert Category: Backend User Interface
Created: 2014-04-20 Assigned To: Jigal van Hemert
Updated: 2014-11-19 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subiject: New prototype version hides elements during dragging in |IE

Description

After upgrading prototype (and scriptaculous) elements are hidden in |E during dragging. The cause is that the getOpacity function

sometimes returns a floating number and sometimes a string. This causes problems in the animation of the opacity during dragging.

This has impact on things like the Task Center, TemplaVoila Page module and in older releases IRRE.

Associated revisions

Revision 1d967bfe - 2014-11-19 10:06 - Jigal van Hemert

[BUGFIX] Handle opacity for IE in prototype.js

The new prototype.js sometimes returns a string as opacity value
instead of a float. This causes problems with the starting
animation for dragging an item, making it completely hidden during
dragging.

Forcing the result to be a float results in a correct opacity.

Resolves: #58053

Releases: 6.2, 6.1, 4.7, 4.5

Change-Id: 17811dec578f5e3222fd8fc95145c1e0cdbedb21f
Reviewed-on: http:/review.typo3.org/34327

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Tested-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Revision 04c6a044 - 2014-11-19 10:22 - Jigal van Hemert
[BUGFIX] Handle opacity for IE in prototype.js

The new prototype.js sometimes returns a string as opacity value
instead of a float. This causes problems with the starting
animation for dragging an item, making it completely hidden during
dragging.

Forcing the result to be a float results in a correct opacity.

Resolves: #58053
Releases: 6.2, 6.1,4.7,4.5
Change-Id: 17811dec578f5e3222fd8fc95145c1e0cdbedb21f
Reviewed-on: http://review.typo3.org/34330

Reviewed-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Tested-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Revision 718c0cf8 - 2014-11-19 10:22 - Jigal van Hemert

[BUGFIX] Handle opacity for IE in prototype.js

The new prototype.js sometimes returns a string as opacity value
instead of a float. This causes problems with the starting
animation for dragging an item, making it completely hidden during
dragging.

Forcing the result to be a float results in a correct opacity.

Resolves: #58053

Releases: 6.2, 6.1,4.7,4.5

Change-Id: 17811dec578f5e3222fd8fc95145c1e0cdbedb21f
Reviewed-on: http://review.typo3.0rg/34329

Reviewed-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Tested-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Revision 61d8b259 - 2014-11-19 10:32 - Jigal van Hemert

[BUGFIX] Handle opacity for IE in prototype.js

The new prototype.js sometimes returns a string as opacity value
instead of a float. This causes problems with the starting
animation for dragging an item, making it completely hidden during
dragging.

Forcing the result to be a float results in a correct opacity.

Resolves: #58053

Releases: 6.2, 6.1,4.7,4.5

Change-Id: 17811dec578f5e3222fd8fc95145c1e0cdbedb21f
Reviewed-on: http://review.typo3.0rg/34331

Reviewed-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Tested-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Tested-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

History

#1 - 2014-04-20 10:38 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29578
#2 - 2014-11-19 00:36 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/34327

#3 - 2014-11-19 00:37 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34327

#4 - 2014-11-19 10:06 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/34329

#5 - 2014-11-19 10:06 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/34330

#6 - 2014-11-19 10:06 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/34331

#7 - 2014-11-19 10:30 - Jigal van Hemert
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1d967bfed9f6779ede280a30d18b5c2ce9ch2b92.
